<div class="container">

{% include "intake/_paginator.html" %}

{% for a in applications %}
  {% with a.full_info as u %}
<div class="row thumbnail">
  <div class="col-md-2">
    <div class="thumbnail">
      <img src="{{ u.photo.photo_absolute_url }}">
    </div>

  {% if profile.is_castrated %}
      <div class="caption">
        <p>&mdash;</p>
      </div>
  {% else %}
    {% if a.is_changeable_by_curator %}
      <div class="caption">

        <p><button type="button" class="btn btn-primary btn-block" data-toggle="modal" data-target="#modal_acceptapp" data-applicant="{{ a.pk }}" data-fullname="{{ a.short_info.last_name }} {{ a.short_info.first_name }}" data-workshop="{{ a.wp_names_tuple.0 }}" data-program="{{ a.wp_names_tuple.1 }}">Принять</button></p>
        <p>
          <a href="{% url 'curators:app_decline' a.pk %}" class="btn btn-default" role="button">
             Отказать
          </a>
        </p>
      </div>
    {% endif %}
  {% endif %}
  </div>

  <div class="col-md-5">
    <h4>{{ u.last_name }} {{ u.first_name }} <span class="text-muted">{{ u.middle_name }}</span></h4>
    <dt><small>{{ u.location }}</small></dt>
    <dd><small>Возраст: {{ u.age }} (ДР {{ u.birthdate }})</small></dd>

    <dl>
      <dt>email: <a href="mailto:{{ u.email }}">{{ u.email }}</a></dt>
      {% if u.uac %}
        <dt>Другие контакты:</dt>
	{% for c_label, c, is_link in u.uac.get_data %}
	  <dd><strong>{{ c_label}}:</strong> {% if is_link %}<a href="{{ c }}">{{ c }}</a>{% else %}{{ c }}{% endif %}</dd>
	{% empty %}
          <dd>Других контактов не указано</dd>
        {% endfor %}
      {% endif %}

      {% if u.is_underage %}
        <dt>Родитель </dt>
        {% if u.underage_data.parental_confirm %}<dd>(согласие получено)</dd>{% endif %}
        <dd>{{ u.underage_data.parental_phone }}</dd>
        <dd>{{ u.underage_data.parental_email }}</dd>
        <dd>{{ u.underage_data.parental_name }}</dd>
      {% endif %}
    </dl>

    <a href="{% url 'curators:app_details' a.pk %}">Вся анкета</a>

  </div>

  <div class="col-md-5">
      <dt>Заявка создана</dt>
        <dd>{{ a.created }}<br/>
        {{ a.created|timesince }} назад</dd>
      <dt>Прошла 1-й тур</dt>
        <dd>{{ a.bucks.passed_first_step }}<br/>
        {{ a.bucks.passed_first_step|timesince }} назад</dd>
      {% if a.bucks.declined_by_workshop %}
      <dt>Отказали</dt>
        <dd>{{ a.bucks.declined_by_workshop }}<br/>
            {{ a.bucks.declined_by_workshop|timesince }} назад</dd>
        {% if a.has_decline_email %}
          {% with a.get_decline_email as email %}
          <div><a data-toggle="modal" data-target="#decline-email-modal-{{ a.pk}}" class="btn btn-default">Читать письмо отказа</a></div>
          <!-- modal dialog -->
          <div class="modal" tabindex="-1" role="dialog" aria-labelledby="ModalLabel" aria-hidden="true" id="decline-email-modal-{{ a.pk }}">
            <div class="modal-dialog modal-lg">
              <div class="modal-content">
                <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                  <h4 class="modal-title" id="ModalLabel">&laquo;{{ email.subject }}&raquo;</h4>
                </div>
                <div class="modal-body">
                  <pre class="pre-scrollable pre-comment">{{ email.text }}</pre>
                </div>

              </div>
            </div>
          </div>
          {% endwith %}

        {% endif %}
      {% endif %}


      {% if a.has_homework %}
        {% if a.has_complete_homework %}
          <dt>Есть ответ на вступительное задание от {{ a.get_homework.date_uploaded }}</dt>
          <dd><a class="btn btn-default" href="{% url 'curators:app_inspect_homework' a.pk a.get_homework.pk %}">Посмотреть</a> <a class="btn btn-info" href="{% url 'curators:app_download_homework' a.pk a.get_homework.pk %}">Скачать файл ответа</a></dd>
        {% else %}
          <dd><em>Участник получил вступительное задание {{ a.homework_sent_datetime|timesince }} назад</em></dd>
          <dd><abbr title="Когда ответ будет получен, здесь будет кнопка, нажав на которую можно будет скачать ответ на вступительное задание, которое было отправлено этому участнику.">(Ответа ещё не получили)</abbr></dd>
          {% if not a.bucks.declined_by_workshop %}
  {% if profile.is_castrated %}
  <dd>&mdash;</dd>
  {% else %}
            <dd><a class="btn btn-xs btn-default" href="{% url 'curators:app_decline_because_slow' a.pk %}">Слишком долго. Отказываем!</a></dd>
  {% endif %}
          {% endif %}
        {% endif %}
      {% else %}
        {% if wp_has_assignment %}
          <dt>Выполненного вступительного задания нет</dt>
          <dd><a href="{% url 'curators:app_send_homework' a.pk %}" class="btn btn-default">Выслать</a></dd>
        {% endif %}
      {% endif %}
  </div>

  {% if a.short_comment %}
  <div>
    <h3>Заметочка</h3>
    <pre class="pre-comment">{{ a.short_comment|default:"" }}</pre>
  </div>
  {% endif %}


</div>

  {% endwith %}
{% empty %}
<div class="row">
  <div class="col-md-6">
Нет заявок.
  </div>
</div>
{% endfor %}

{% include "intake/_paginator.html" %}

</div>
